ComRaidComRaid Docs
API referenceSegments

Get segment

GET
/segments/{id}

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Path Parameters

id*string
Formatuuid

Response Body

Segment

application/json
  1. response
segment_id*string
Formatuuid
name*string
description?string|null
rules?
status*string
Value in"active""archived"
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
archived_at?|
Formatdate-time
contact_count*integer

Live count of Contacts in this Segment with at least one offerable device (preview query with no platform or Category filter).

scheduled_message_count*integer

Messages in scheduled or preparing whose targeting source_segment_id is this Segment.

Example Request
curl -X GET 'https://api.comraid.io/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",  "name": "string",  "description": "string",  "rules": {    "operator": "and",    "conditions": [      {        "field": "string",        "key": "string",        "op": "string",        "value": null      }    ]  },  "status": "active",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "archived_at": "2019-08-24T14:15:22Z",  "contact_count": 0,  "scheduled_message_count": 0}